apiVersion: v1
kind: Pod
metadata:
  creationTimestamp: "2025-08-15T21:46:49Z"
  finalizers:
  - batch.kubernetes.io/job-tracking
  generateName: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471-
  generation: 1
  labels:
    batch.kubernetes.io/controller-uid: 7b1aa7a5-38bb-4100-84eb-71c457b0f03b
    batch.kubernetes.io/job-name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471
    controller-uid: 7b1aa7a5-38bb-4100-84eb-71c457b0f03b
    job-name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471
  name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-33971302h7h57
  namespace: wafraut-dev
  ownerReferences:
  - apiVersion: batch/v1
    blockOwnerDeletion: true
    controller: true
    kind: Job
    name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471
    uid: 7b1aa7a5-38bb-4100-84eb-71c457b0f03b
  resourceVersion: "1458270"
  uid: 7700f18c-f89c-4df4-8854-e7bcec8adbf9
spec:
  containers:
  - args:
    - aws
    - --no-banner
    - --no-color
    - --log-level=INFO
    - --compliance
    - aws_well_architected_framework_reliability_pillar_aws
    - aws_well_architected_framework_security_pillar_aws
    - --severity
    - critical
    - high
    - medium
    - low
    - informational
    - --region
    - us-east-1
    env:
    - name: AWS_SESSION_TOKEN
      value: REDACTED
    - name: AWS_ACCESS_KEY_ID
      value: REDACTED
    - name: AWS_SECRET_ACCESS_KEY
      value: REDACTED
    image: toniblyx/prowler:stable
    imagePullPolicy: Always
    name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471
    resources:
      requests:
        cpu: "3"
        memory: 1024M
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /home/prowler/output
      name: prowler-output
      subPath: engagements/01988a6d-5c36-7113-8632-9e7ab8acf2d0/account-scans/339713027471
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-jcz5p
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: registry-credentials-wafraut
  nodeName: wafraut-cluster-3338554a
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: prowler-output
    persistentVolumeClaim:
      claimName: dev-wafraut-orchestrator-data-001
  - name: kube-api-access-jcz5p
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-08-15T21:46:51Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-08-15T21:46:49Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-08-15T21:46:51Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-08-15T21:46:51Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-08-15T21:46:49Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - allocatedResources:
      cpu: "3"
      memory: 1024M
    containerID: containerd://858786593f0dbb363f8ea6e13f1002b179d0731ab0faf8010f45dfaa09b0f0e5
    image: docker.io/toniblyx/prowler:stable
    imageID: docker.io/toniblyx/prowler@sha256:653b38ad1e8102befa7411cb49103d5ed0a3bcbcc614d44c69a6b4cc5db3a6da
    lastState: {}
    name: account-scan-01988a6d-5c36-7113-8632-9e7ab8acf2d0-339713027471
    ready: true
    resources:
      requests:
        cpu: "3"
        memory: 1024M
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-08-15T21:46:50Z"
    user:
      linux:
        gid: 1000
        supplementalGroups:
        - 100
        - 1000
        uid: 1000
    volumeMounts:
    - mountPath: /home/prowler/output
      name: prowler-output
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-jcz5p
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.42.20.88
  hostIPs:
  - ip: 10.42.20.88
  phase: Running
  podIP: 10.44.0.178
  podIPs:
  - ip: 10.44.0.178
  qosClass: Burstable
  startTime: "2025-08-15T21:46:49Z"
